
Redmine - Feature #10253

Better handling of attachments when validation fails

2012-02-16 19:19 - Jean-Philippe Lang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

When creating or updating an issue, the uploaded attachments are lost if the validation fails (eg. required field left blank). The user

needs to select them again and reupload them.

Uploaded attachments should be preserved when the user re-submit the form.

Related issues:

Related to Redmine - Defect #36860: Attachment file still exists if ticket is... Closed

Related to Redmine - Defect #22176: Orphaned attachments Closed

Related to Redmine - Feature #36875: Run garbage collection by clicking on th... New

Associated revisions

Revision 8891 - 2012-02-16 22:00 - Jean-Philippe Lang

Better handling of attachments when issue validation fails (#10253).

Revision 8893 - 2012-02-16 22:18 - Jean-Philippe Lang

Adds a rake test that removes old unattached uploads (#10253).

History

#1 - 2012-02-22 03:27 - Axel Clifford

This would be an awesome addition/fix!

+1

#2 - 2012-02-23 14:13 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Done.

#3 - 2022-03-31 01:41 - Go MAEDA

- Related to Defect #36860: Attachment file still exists if ticket is not created added

#4 - 2022-03-31 01:56 - Go MAEDA

- Related to Defect #22176: Orphaned attachments added

#5 - 2022-04-01 01:21 - Go MAEDA

- Related to Feature #36875: Run garbage collection by clicking on the admin site added

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

http://www.tcpdf.org

